<?php

class actionSistemmessagesAddMessage extends cmsAction {

    public function run() {

        $errors = false;

        $model = cmsCore::getModel($this->name);

        $form = $this->getForm('message');

        $is_submitted = $this->request->has('submit');

        $message = $form->parse($this->request, $is_submitted);

        if ($is_submitted) {

            $errors = $form->validate($this, $message);

            if (!$errors) {
                
                $message['user_id'] = $this->cms_user->id;
                
                $message_id = $model->addMessage($message);
                
                $this->redirectToAction('messages');
            }

            if ($errors) {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        $template = cmsTemplate::getInstance();

        return $template->render('backend/form_message', array(
                    'do' => 'add',
                    'form' => $form,
                    'errors' => $errors,
                    'message' => $message
        ));
    }

}
