<?php

class actionSistemmessagesEditMessage extends cmsAction {

    public function run($id = false) {

        if (!$id) {
            cmsCore::error404();
        }

        $model = cmsCore::getModel($this->name);

        $message = $this->model->getMessage($id);

        if (!$message) {
            cmsCore::error404();
        }

        $errors = false;

        $form = $this->getForm('message');

        $is_submitted = $this->request->has('submit');
  
        if ($is_submitted) {

            $message = $form->parse($this->request, $is_submitted);

            $errors = $form->validate($this, $message);

            if (!$errors) {
                $model->updateMessage($id, $message);
                $this->redirectToAction('messages');
            }

            if ($errors) {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        $template = cmsTemplate::getInstance();

        return $template->render('backend/form_message', array(
                    'do' => 'edit',
                    'form' => $form,
                    'errors' => $errors,
                    'message' => $message
        ));
    }

}
