<?php

class formSistemmessagesMessage extends cmsForm {

    public function init() {

        $controllers_list = array('' => '',
            'content' => LANG_SISTEMMESSAGES_CONTENT,
            'item_view' => LANG_SISTEMMESSAGES_CONTENT_ITEM,
            'user_list' => LANG_USERS,
            'profile' => LANG_PROFILE,
            'activity' => LANG_SISTEMMESSAGES_ACTIVITY,
            'comments' => LANG_COMMENTS,
            'groups' => LANG_GROUPS,
            'group' => LANG_GROUP,
            'photos' => LANG_PHOTOS,
        );
        $ctype_list = array('' => '');

        $ctypes = cmsCore::getModel('content')->getContentTypes();

        if ($ctypes) {

            foreach ($ctypes as $ctype) {

                $ctype_list[$ctype['name']] = $ctype['title'];
            }
        }



        return array(
            array(
                'type' => 'fieldset',
                'childs' => array(
                    new fieldCheckbox('is_enabled', array(
                        'title' => LANG_IS_ENABLED,
                        'default' => true,
                            )),
                    new fieldListgroups('for_group', array(
                        'title' => LANG_SISTEMMESSAGES_MESSAGE_FOR_GROUP,
                        'hint' => LANG_SISTEMMESSAGES_MESSAGE_FOR_GROUP_HINT,
                        'show_all' => true,
                        'show_guests' => true,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                    new fieldList('style', array(
                        'title' => LANG_SISTEMMESSAGES_MESSAGE_STYLE,
                        'hint' => LANG_SISTEMMESSAGES_MESSAGE_STYLE_HINT,
                        'items' => array(
                            '' => '',
                            'error' => LANG_ERROR,
                            'info' => LANG_INFORMATION,
                            'success' => LANG_SISTEMMESSAGES_SUCCESSFULLY
                        ),
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                    new fieldList('controller', array(
                        'title' => LANG_SISTEMMESSAGES_MESSAGE_CONTROLLER,
                        'hint' => LANG_SISTEMMESSAGES_MESSAGE_CONTROLLER_HINT,
                        'items' => $controllers_list,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                    new fieldList('content_type', array(
                        'title' => LANG_SISTEMMESSAGES_MESSAGE_CONTENT_TYPE,
                        'hint' => LANG_SISTEMMESSAGES_MESSAGE_CONTENT_TYPE_HINT,
                        'items' => $ctype_list,
                        'visible_depend' => array(
                            'controller' => array('show' => array('content', 'item_view')),
                        )
                            )),
                    new fieldNumber('time_view', array(
                        'title' => LANG_SISTEMMESSAGES_MESSAGE_TIME_VIEW,
                        'hint' => LANG_SISTEMMESSAGES_MESSAGE_TIME_VIEW_HINT,
                        'default' => 0,
                        'rules' => array(
                            array('required', 'number'),
                        ),
                            )),
                    new fieldString('title', array(
                        'title' => LANG_SISTEMMESSAGES_MESSAGE_TITLE,
                        'hint' => LANG_SISTEMMESSAGES_MESSAGE_TITLE_HINT,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                    new fieldHtml('text', array(
                        'title' => LANG_SISTEMMESSAGES_MESSAGE_TEXT,
                        'hint' => LANG_SISTEMMESSAGES_MESSAGE_TEXT_HINT,
                        'rules' => array(
                            array('required'),
                        ),
                            )),
                )
            )
        );
    }

}
